org.apache.cassandra.db.commitlog

## Class CommitLogSegmentReader

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogSegmentReader

All Implemented Interfaces:
  java.lang.Iterable<CommitLogSegmentReader.SyncSegment>

    public class CommitLogSegmentReader
    extends java.lang.Object
    implements java.lang.Iterable<CommitLogSegmentReader.SyncSegment>

Read each sync section of a commit log, iteratively.

### Nested Class Summary

Nested Classes
`protected class` `CommitLogSegmentReader.SegmentIterator`
`static class` `CommitLogSegmentReader.SegmentReadException`
`static class` `CommitLogSegmentReader.SyncSegment`

### Field Summary

Fields
`protected int` `end` ending position of the current sync section.

### Constructor Summary

Constructors
`protected` `CommitLogSegmentReader(CommitLogReadHandler handler, CommitLogDescriptor descriptor, RandomAccessReader reader, boolean tolerateTruncation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Iterator<CommitLogSegmentReader.SyncSegment>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### end

    protected int end

ending position of the current sync section.

### Constructor Detail

#### CommitLogSegmentReader

    protected CommitLogSegmentReader(CommitLogReadHandler handler,
                                     CommitLogDescriptor descriptor,
                                     RandomAccessReader reader,
                                     boolean tolerateTruncation)

### Method Detail

#### iterator

    public java.util.Iterator<CommitLogSegmentReader.SyncSegment> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<CommitLogSegmentReader.SyncSegment>`